Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 4650 - --freshen installs new packages
Summary: --freshen installs new packages
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: rpm
Version: 6.0
Hardware: i386
OS: Linux
medium
low
Target Milestone: ---
Assignee: Jeff Johnson
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-08-22 15:49 UTC by Ragnar Kjørstad
Modified: 2008-05-01 15:37 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-11-15 14:03:05 UTC


Attachments (Terms of Use)

Description Ragnar Kjørstad 1999-08-22 15:49:49 UTC
The "-F" / "--freshen" option seems to install the packages
even if they're not alreaddy installed when an ftp-url is
specified instead of a local file.

On an i386 RedHat 6.0 system:

[root@stine 6.0]# rpm -q squid
package squid is not installed

[root@stine 6.0]# rpm -F i386/squid-2.2.STABLE4-5.i386.rpm
rpm: no packages given for install

[root@stine 6.0]# rpm -q squid
package squid is not installed

[root@stine 6.0]# rpm -F
ftp://ftp.vestdata.no/pub/linux/mirrors/redhat-updates/6.0/i386/squid-2.2.STABLE4-5.i386.rpm

[root@stine 6.0]# rpm -q squid
squid-2.2.STABLE4-5

Comment 1 bjn 1999-11-15 14:03:59 UTC
Also happens with RedHat 6.1, when using an ftp URL:

# rpm -qa | grep ypserv
# rpm -Fvh ftp://kepler/pub/redhat-updates/6.1/i386/ypserv-1.3.9-1.i386.rpm
Retrieving ftp://kepler/pub/redhat-updates/6.1/i386/ypserv-1.3.9-1.i386.rpm
ypserv                      ##################################################
#

Comment 2 Jeff Johnson 2001-02-21 19:30:37 UTC
Now that --freshen is implemented in C rather than in a shell script, I don't
believe
that this is still a problem. Please reopen if I'm wrong.


Note You need to log in before you can comment on or make changes to this bug.